Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.mail
Class AddToAddressBookModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.DialogModel
              portlets.compoze.groupware.model.mail.AddToAddressBookModel

All Implemented Interfaces:
  java.io.Serializable

public class AddToAddressBookModel
extends DialogModel
implements java.io.Serializable

This class represents the data model for add to address book (`add_to_address_book.jsp`)

See Also:
  Serialized Form

Field Summary

Fields inherited from class portlets.compoze.groupware.model.DialogModel
`DIALOG_SESSION_ATTRIBUTE`

Constructor Summary
`AddToAddressBookModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, GroupwarePreferences groupwarePrefs, java.lang.String sSkinPath)` Constructor.

Method Summary
`java.lang.String` | `getEmailAddress()` Gets the email address.
`java.lang.String` | `getLastName()` Gets the last name.
`Message` | `getMessage()` Gets the message.
`void` | `setMessage(Message message)` Sets the message.

Methods inherited from class portlets.compoze.groupware.model.DialogModel
`getCompozeCSS, getCompozeImages, getCurrentSkinPath`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddToAddressBookModel

    public AddToAddressBookModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                                 GroupwarePreferences groupwarePrefs,
                                 java.lang.String sSkinPath)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `sSkinPath` - the skin path (may not be `null`)

Method Detail

### getMessage

    public Message getMessage()

  Gets the message.

  Returns:
    the message

### setMessage

    public void setMessage(Message message)

  Sets the message.

  Parameters:
    `message` - the message

### getLastName

    public java.lang.String getLastName()

  Gets the last name.

  Returns:
    the last name or `null` if not set

### getEmailAddress

    public java.lang.String getEmailAddress()

  Gets the email address.

  Returns:
    the email address or `null` if not set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.